Loading...
Searching...
No Matches
Opm::EclMaterialLaw::InitParams< Traits > Class Template Reference

## Public Types

using | LookupFunction = std::function<unsigned(unsigned)>
using | IntLookupFunction
using | MaterialLawParams = typename Manager<Traits>::MaterialLawParams

## Public Member Functions

| InitParams (const Manager< Traits > &parent, const EclipseState &eclState, std::size_t numCompressedElems)
void | run (const IntLookupFunction &fieldPropIntOnLeafAssigner, const LookupFunction &lookupIdxOnLevelZeroAssigner)

## Public Attributes

Manager< Traits >::Params | params_

## Member Typedef Documentation

## IntLookupFunction

template<class Traits>

using Opm::EclMaterialLaw::InitParams< Traits >::IntLookupFunction

Initial value:

The documentation for this class was generated from the following files:

- opm/material/fluidmatrixinteractions/EclMaterialLawInitParams.hpp
- opm/material/fluidmatrixinteractions/EclMaterialLawInitParams.cpp